summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-08-15 12:37:13 +0000
committerLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-08-15 12:37:13 +0000
commitea9a58fd6f999e556a3bd885c0b60c6b3c54d51a (patch)
treea2a42b7ccee2542db448e2b64c1c7b12e9a5e980 /dev-python
parent60d7750ebcbb27ef628e8968a96565937969a4c4 (diff)
downloadbaldeagleos-repo-ea9a58fd6f999e556a3bd885c0b60c6b3c54d51a.tar.gz
baldeagleos-repo-ea9a58fd6f999e556a3bd885c0b60c6b3c54d51a.tar.xz
baldeagleos-repo-ea9a58fd6f999e556a3bd885c0b60c6b3c54d51a.zip
Updating liguros repo
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.14.43.ebuild56
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.17.43.ebuild62
-rw-r--r--dev-python/cmd2/cmd2-1.2.0.ebuild2
-rw-r--r--dev-python/elementpath/Manifest1
-rw-r--r--dev-python/elementpath/elementpath-2.0.0.ebuild26
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-5.24.4.ebuild56
-rw-r--r--dev-python/pytest-xdist/Manifest4
-rw-r--r--dev-python/pytest-xdist/files/pytest-xdist-1.28.0-strip-setuptools-scm.patch27
-rw-r--r--dev-python/pytest-xdist/pytest-xdist-1.23.2.ebuild38
-rw-r--r--dev-python/pytest-xdist/pytest-xdist-1.28.0.ebuild39
-rw-r--r--dev-python/pytest-xdist/pytest-xdist-2.0.0.ebuild (renamed from dev-python/pytest-xdist/pytest-xdist-1.31.0.ebuild)13
-rw-r--r--dev-python/python-nbxmpp/python-nbxmpp-1.0.1.ebuild2
-rw-r--r--dev-python/sphinx/Manifest1
-rw-r--r--dev-python/sphinx/sphinx-3.2.1.ebuild133
-rw-r--r--dev-python/wheel/Manifest1
-rw-r--r--dev-python/wheel/wheel-0.35.1.ebuild38
-rw-r--r--dev-python/xmlschema/Manifest1
-rw-r--r--dev-python/xmlschema/xmlschema-1.2.3.ebuild30
21 files changed, 417 insertions, 116 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 84b9b1b31904..5ed97ebcd526 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -5,3 +5,4 @@ DIST boto3-1.14.27.tar.gz 299871 BLAKE2B b0bca67cc43af0eb6d823ddf256e219c1137793
DIST boto3-1.14.28.tar.gz 299959 BLAKE2B 7318fd60ccd46e12f38eb14aeecfb59fd951ed9749990f2b7bfc991b2a5077d2afe93a37b28f833ec232e85cd85a454887672be3b6b72b37e696677c45c9287c SHA512 e83695d00f2d08ad129be24f2a387fcd7181f727bd4c64df1d3d8a14aff280388262032b60f7a01829ffcaeb639eeebc9e1e85a786f3228e1d28ed4d15166ca7
DIST boto3-1.14.31.tar.gz 300720 BLAKE2B 9dbd002e299c629f28037572c615a00612c80773006c344797d0ad56c81c240b56bfc56e8ffe52e3b404c77a56318532aadfa2d008c254e70f7bfa91e40b7e1a SHA512 e3fe0041bbdc67affcf5d5272c26aa14ef0fa546af2efb99187311bee23531181ab1f1ebc69f2c3ed8250140642f4402334ebbc9acbf422641fa6abed5d5815f
DIST boto3-1.14.34.tar.gz 300890 BLAKE2B 0f8883ee4edc100207be68b93a5510fcb807adb860c0292cab9a6c2eaab238735f3ed01608ab7763f27d4eacb23e57beb289511ec83770ac91f33e044e5e9425 SHA512 cfe84bf5a1ea99905dbddcc63665bcd8e310cd0fdc37b1990c722ae6ca91e7c2adb17a8305eed19df0a6761f1c0c0c62cb935bd37d2360d84ea746753117a16b
+DIST boto3-1.14.43.tar.gz 301496 BLAKE2B 0d2f33679c89f65e1866e7209c634da055666cd6d63a3c0b048a9855baaa16148c54aaf60b450abb9cc98fae1881269e6087c45a6fea5e00096f39c4c3649491 SHA512 35394136d89e9b9c6b1d8703c2023b07f8c0019561eec481391f932977cfd43e1b73d99531cef6fbf1f05d96f01b7cd015dd7b1f352c54053269f40c5074bea2
diff --git a/dev-python/boto3/boto3-1.14.43.ebuild b/dev-python/boto3/boto3-1.14.43.ebuild
new file mode 100644
index 000000000000..ebf0565908dc
--- /dev/null
+++ b/dev-python/boto3/boto3-1.14.43.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+DISTUTILS_USE_SETUPTOOLS=bdepend
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # prevent an infinite loop
+ rm tests/functional/docs/test_smoke.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ nosetests -v tests/unit/ tests/functional/ || die "test failed under ${EPYTHON}"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index cfde78656be4..c45782e7cd60 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -6,3 +6,4 @@ DIST botocore-1.17.28.tar.gz 6647521 BLAKE2B e9da32dd9202bc1ad621003bb6196873380
DIST botocore-1.17.31.tar.gz 6665851 BLAKE2B dbc89d1216f9fda89c6185baccfdf2878c265d8761e4ad1349a45d334f9a4d5b79ad1ce06a19a7a706b75be1a6d7f2a7bf5bc33d8ffbe7ad8a016472edf0432f SHA512 ab1921fae887846d1c224d624e8d5dd888ab9c0c90a415ac97e5ad2f7563131b199e8870553e7f3dd6f5ff4c7901aa04bfa99160aca4e9da8ef3096cfd922ec9
DIST botocore-1.17.34.tar.gz 6683317 BLAKE2B a3229c09f7c21a95140e22d9902161b705bccf1a9559b6ba2bf45e5e79f2f2af7e86fcbae3654405faf73e4eb6a8f86a88c407aafb411c646d54aed72af8b162 SHA512 f5fe7803c4e083de7515f7bd58f84709ebaa8007d707273c6bf9fac1391b7d5ab7e8771725db59b9b6b5dd60e71f34140ae5435dec18ffc364c1779172de9bab
DIST botocore-1.17.40.tar.gz 6693291 BLAKE2B 233042aa9641d874b0d3d5907d8d4afabbd3ea72756f2ba8ca219b3f5f1c246465cba6809e23a670db2a9d75e2c8f1e04c3c12cafb73952530fbf847ad7b42d6 SHA512 b9d0e180d5e8e659d13676110856dc01943c4057c23437a41edf40366e76f2c92eb119c004fde45ee53e2b82b1716e0334a18a6b5ea4e4de30f02cfd5b711b0a
+DIST botocore-1.17.43.tar.gz 6706807 BLAKE2B 6440bce1fc78ee7339e0c24b60ecb166b3cbf7c9f790f4ec208ea6b42b396710c245512b1e4d05bdb17cee5a8d47770bc43ca22a9675e3dbdc58fcba1c4111c9 SHA512 387c96113363a01b670b3797411dd28a01a98bb8139f404da272431df733231c6aeabda018001f868a2a4c6801f86d35f0f9b4353446d5c98333b44099f858aa
diff --git a/dev-python/botocore/botocore-1.17.43.ebuild b/dev-python/botocore/botocore-1.17.43.ebuild
new file mode 100644
index 000000000000..f19422b2507d
--- /dev/null
+++ b/dev-python/botocore/botocore-1.17.43.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="https://github.com/boto/botocore"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/jmespath[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/urllib3[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
+ "${FILESDIR}/botocore-1.16.7-unlock-deps.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+src_prepare() {
+ # py3.9
+ find -name '*.py' -exec \
+ sed -i -e 's:cElementTree:ElementTree:' {} + || die
+ # very unstable
+ sed -i -e 's:test_stress_test_token_bucket:_&:' \
+ tests/functional/retries/test_bucket.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # note: suites need to be run separately as one of the unit tests
+ # seems to be leaking mocks and breaking a few functional tests
+ nosetests -v tests/unit ||
+ die "unit tests failed under ${EPYTHON}"
+ nosetests -v tests/functional ||
+ die "functional tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/cmd2/cmd2-1.2.0.ebuild b/dev-python/cmd2/cmd2-1.2.0.ebuild
index 31d6051953eb..bf59031b4edf 100644
--- a/dev-python/cmd2/cmd2-1.2.0.ebuild
+++ b/dev-python/cmd2/cmd2-1.2.0.ebuild
@@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 hppa ~ia64 ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
RDEPEND="
dev-python/attrs[${PYTHON_USEDEP}]
diff --git a/dev-python/elementpath/Manifest b/dev-python/elementpath/Manifest
index f4e7f5f0d262..27e8465efdf1 100644
--- a/dev-python/elementpath/Manifest
+++ b/dev-python/elementpath/Manifest
@@ -1 +1,2 @@
DIST elementpath-1.4.6.tar.gz 121815 BLAKE2B 09014fc503c8a3a6a6865572fa48c515af19fc009512369d8e761ca5b4e516de1add7eb14c0681114331c4a8ef08cccb5fac8f4ce2b436523780cb4e41e2dc00 SHA512 ac1d7fc0ab07f22fa02550ac77f4067b5564f78619bf98d6fda257751d6404684622580002d69beb769fc471500ee0c08f6095b05ddc6b7d81276dc8e158c40b
+DIST elementpath-2.0.0.tar.gz 149239 BLAKE2B 6963429ee127ef2a293da6706e6d1bc13be4d864d7da3d7169dd81d0a430156684f0977076182ec7aff7622940dbc341b84fab3eb488bbe6470476c4d30b6d4a SHA512 bb29c9cf30e9a414f9ddc7e29d3ae09af74302ed9c0bb98332b4fe01bab2e043cd5adb59b20a0730218d79b9f2ae42e9f2ad3ed7e4d0ae8ffde1800c96ee00a9
diff --git a/dev-python/elementpath/elementpath-2.0.0.ebuild b/dev-python/elementpath/elementpath-2.0.0.ebuild
new file mode 100644
index 000000000000..063ecddcd3b2
--- /dev/null
+++ b/dev-python/elementpath/elementpath-2.0.0.ebuild
@@ -0,0 +1,26 @@
+# Copyright 2019-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="XPath 1.0/2.0 parsers and selectors for ElementTree and lxml"
+HOMEPAGE="https://github.com/sissaschool/elementpath
+ https://pypi.org/project/elementpath/"
+SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ test? (
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/xmlschema[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests unittest
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 7319613991f3..75c79f01614b 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -6,3 +6,4 @@ DIST hypothesis-python-5.23.9.tar.gz 9041210 BLAKE2B e1f121a81cbdf14e1216e3c22eb
DIST hypothesis-python-5.24.0.tar.gz 9040780 BLAKE2B 126a7e0a4d9df292445453035d43ed219dda6a4d5b885570905625474854e380d5c230b4f587d66f1d6b32f2edd9a817fff8054a4876ad7382c2940f25e1cc02 SHA512 649bd9e1770c4b2ca55ad70f80b912f183dda73cb602538ba4d887f1df91b3ae9048b0fa3199d371019c06e15421de842e0451fc468a28e8a62506bcdae179d4
DIST hypothesis-python-5.24.2.tar.gz 9050270 BLAKE2B 05043935afec77b23349b4973a2b3b9fafceba467754dcf3295d410561e3c76ff3c4b2996f5f14aea46b5b6a073e7db2a8be085d42df79ed6eb78eacd7539234 SHA512 88c1351b70355906cc57b667f2a863ac1334219e1721504ea76b1599d57fdf272a96263c365fe24882be9f83f28671998ebee28b0faea2190d9b6b39d2c2dc84
DIST hypothesis-python-5.24.3.tar.gz 9050345 BLAKE2B bfb47794edb3c1c6aee22e808a6d27af52f8176d307f9a585efa0f1e0d68adf9a902ed6f67405e77c6804f18e17a76486ab42f610807f6ee97535f950318a055 SHA512 7647d14ba805ad3ff6465e1d2c6d9104560c7ea31517777ab45e07da39efefa7109215d2f4074082620554ae4aa5ce5060bca5c923d11c14718f1efdae829986
+DIST hypothesis-python-5.24.4.tar.gz 9054743 BLAKE2B 5c64c86ed58d8f0e4a07390b1b1b5e405878b9632bf14233e0515ad9d98ec6ddcc57bf39be6b61f53739d34e393b3af64c0d362880019d29a649a9523a0204e3 SHA512 147f4fa47b54bf3ec4dfcebf2a6c98cee26ea6780244ef99e181bada65978375ca7731ed05cb98f1b92f7a44a357faae374d97d489ec6e2318ff94e526cd9a40
diff --git a/dev-python/hypothesis/hypothesis-5.24.4.ebuild b/dev-python/hypothesis/hypothesis-5.24.4.ebuild
new file mode 100644
index 000000000000..37f9e736953e
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-5.24.4.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{5,6,7,8,9} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="https://github.com/HypothesisWorks/hypothesis https://pypi.org/project/hypothesis/"
+SRC_URI="https://github.com/HypothesisWorks/${PN}/archive/${PN}-python-${PV}.tar.gz"
+S="${WORKDIR}/${PN}-${PN}-python-${PV}/${PN}-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ >=dev-python/pytest-5.3.5[${PYTHON_USEDEP}]
+ !!<dev-python/typing-3.7.4.1
+ )
+"
+
+src_prepare() {
+ # avoid pytest-xdist dep for one test
+ sed -i -e 's:test_prints_statistics_given_option_under_xdist:_&:' \
+ tests/pytest/test_statistics.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ pytest -vv tests/cover tests/pytest tests/quality ||
+ die "Tests fail with ${EPYTHON}"
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/pytest-xdist/Manifest b/dev-python/pytest-xdist/Manifest
index 76387d4b5ce8..efeafe6c3804 100644
--- a/dev-python/pytest-xdist/Manifest
+++ b/dev-python/pytest-xdist/Manifest
@@ -1,6 +1,4 @@
-DIST pytest-xdist-1.23.2.tar.gz 59932 BLAKE2B f2cf73914cf095217fb8b472f5e5f7918435c75f8da1694cc7ceb920ac3a7390d84bea93cca558ba26cf3d14a01815374eab9ea03a137a8a9f5dba2f2d4453a8 SHA512 4aae9a6d74e53a29630d0233d0a903d008023e322de726ef7ab7cf4865f428942f96cc65264e19726cb6213264edaa747da2cb6f368989417ba821f2a3f9b654
-DIST pytest-xdist-1.28.0.tar.gz 61486 BLAKE2B ef8157079ea890342cd566f327588148fa898a3404e3edcffb60ba8ba37d9473b4c2a47fc737f7bb074042c6aadd737ac51f348ce79a718eb446036016cd5e23 SHA512 89b8885103a944ae72535de40028db052f76631ade6f969489d3dc3a1a61a3233df6655d0905d9f5253f23740a15aea824b460c680e79c16f275b31cb2abd6ad
-DIST pytest-xdist-1.31.0.tar.gz 66133 BLAKE2B 79fe5f3bcad3421c1c751ffe6e09f0da42d4ff7c0016cb421ffabcab167028ec41ccfb02bbb275564cd74b13ade8d6e79bbb70b34995f3bc9000604a1533df9a SHA512 b7960d20295232b251c8ddcc5a3b9d6e7b761d577ba11c2647b4b4b410ee5c05998cf57fa57208561eb3ea7c4914db1fd446173794589d8c8e8e79ff8e0ad3aa
DIST pytest-xdist-1.32.0.tar.gz 67733 BLAKE2B da0ce4e43dc8752e4329ddcbc13a5f55f5bc120c13f39bb01916770d2dc1864197fd91f92bc55ba27cd74b0d837ac2d310980874cdf54761339b2cd654dd6e74 SHA512 f159b4653efb4afeff4124df484670d3c672e1014712f948390b25efc53096f8237258c83a5f1a9e688c52b4a756291cb731d37fdfa800707f556550a19cb0e8
DIST pytest-xdist-1.33.0.tar.gz 65588 BLAKE2B 096ffa9295ec0ef4d390b714b02a4d126aa33475b55591b91375f2da0c957802e007b990dc2051d5198f223b250a4a7294367c9da8f8969313a61a7e8ef18ebd SHA512 5e5b23e60b546779d4bbcc9b86c004bdb084689ba006c8bb8a7db9be60b6080f04a5bb2b1f5b43a5062b82e35493331d1da699d8a36177307280b06aa23a1367
DIST pytest-xdist-1.34.0.tar.gz 66151 BLAKE2B ac5274e32b3ef6b72113efd4300eb6946a977e0e202d3383abcdbc022126b7806edb326ddc16abb1219e22eb091e06a9c39fce3031aaf5943d4ad653a47af142 SHA512 69e9877ee0268d71d7c0ca202ccc46b3ba1a9271f0e6e4ac4b76602833f9b7012364eb6924ae994e76c1d48d63adf1702d4c5e6ed5b75c52ac7ebae958210e24
+DIST pytest-xdist-2.0.0.tar.gz 65663 BLAKE2B 01f4154ae77c0ca67bef9cc0c36f9e3aea03ea554ba45ababb53647720795eae85e6c884eee6cd14037d566dc7bc46f49496aaaecfaaa31322b045339e6c01e8 SHA512 ad1e22ec6963e16f3f1408f0ed39c2945da8f8d2b332b29c36151bc1245e1b9ab532315d8315c22f93f249a64ab508fd78bccd5390be7315d962dd2382f63e0d
diff --git a/dev-python/pytest-xdist/files/pytest-xdist-1.28.0-strip-setuptools-scm.patch b/dev-python/pytest-xdist/files/pytest-xdist-1.28.0-strip-setuptools-scm.patch
deleted file mode 100644
index 8ef0272d2b5b..000000000000
--- a/dev-python/pytest-xdist/files/pytest-xdist-1.28.0-strip-setuptools-scm.patch
+++ /dev/null
@@ -1,27 +0,0 @@
-diff --git a/setup.py b/setup.py
-index 17abe9a..81422db 100644
---- a/setup.py
-+++ b/setup.py
-@@ -6,9 +6,13 @@ install_requires = ["execnet>=1.1", "pytest>=4.4.0", "pytest-forked", "six"]
- with open("README.rst") as f:
- long_description = f.read()
-
-+import os
-+with open("xdist/_version.py", 'wt') as fp:
-+ fp.write('version = "{}"'.format(os.environ['PV']))
-+
- setup(
- name="pytest-xdist",
-- use_scm_version={"write_to": "xdist/_version.py"},
-+ version=os.environ['PV'],
- description="pytest xdist plugin for distributed testing"
- " and loop-on-failing modes",
- long_description=long_description,
-@@ -24,7 +28,6 @@ setup(
- zip_safe=False,
- python_requires=">=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*",
- install_requires=install_requires,
-- setup_requires=["setuptools_scm"],
- classifiers=[
- "Development Status :: 5 - Production/Stable",
- "Framework :: Pytest",
diff --git a/dev-python/pytest-xdist/pytest-xdist-1.23.2.ebuild b/dev-python/pytest-xdist/pytest-xdist-1.23.2.ebuild
deleted file mode 100644
index bf4fb8226661..000000000000
--- a/dev-python/pytest-xdist/pytest-xdist-1.23.2.ebuild
+++ /dev/null
@@ -1,38 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python2_7 python3_{5,6,7,8,9} )
-
-inherit distutils-r1
-
-DESCRIPTION="Distributed testing and loop-on-failing modes"
-HOMEPAGE="https://pypi.org/project/pytest-xdist/ https://github.com/pytest-dev/pytest-xdist"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-SLOT="0"
-LICENSE="MIT"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 s390 sparc x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
- >=dev-python/execnet-1.1[${PYTHON_USEDEP}]
- dev-python/pytest[${PYTHON_USEDEP}]
- dev-python/pytest-forked[${PYTHON_USEDEP}]
- dev-python/six[${PYTHON_USEDEP}]
-"
-
-# See #673106 about the pytest-xdist blocker.
-DEPEND="${RDEPEND}
- !!dev-python/pytest-capturelog
- dev-python/setuptools[${PYTHON_USEDEP}]
- dev-python/setuptools_scm[${PYTHON_USEDEP}]
- test? ( !!<dev-python/pytest-xdist-1.22 )
-"
-
-python_test() {
- distutils_install_for_testing
- pytest -vv testing || die "Tests failed under ${EPYTHON}"
-}
diff --git a/dev-python/pytest-xdist/pytest-xdist-1.28.0.ebuild b/dev-python/pytest-xdist/pytest-xdist-1.28.0.ebuild
deleted file mode 100644
index 483696aed52b..000000000000
--- a/dev-python/pytest-xdist/pytest-xdist-1.28.0.ebuild
+++ /dev/null
@@ -1,39 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python2_7 python3_{5,6,7,8,9} )
-
-inherit distutils-r1
-
-DESCRIPTION="Distributed testing and loop-on-failing modes"
-HOMEPAGE="https://pypi.org/project/pytest-xdist/ https://github.com/pytest-dev/pytest-xdist"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-SLOT="0"
-LICENSE="MIT"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
- dev-python/execnet[${PYTHON_USEDEP}]
- >=dev-python/pytest-4.4[${PYTHON_USEDEP}]
- dev-python/pytest-forked[${PYTHON_USEDEP}]
- dev-python/six[${PYTHON_USEDEP}]
-"
-
-DEPEND="${RDEPEND}
- dev-python/setuptools[${PYTHON_USEDEP}]
- test? ( dev-python/filelock[${PYTHON_USEDEP}] )
-"
-
-PATCHES=(
- "${FILESDIR}/${PN}-1.28.0-strip-setuptools-scm.patch"
-)
-
-python_test() {
- distutils_install_for_testing
- pytest -vv testing || die "Tests failed under ${EPYTHON}"
-}
diff --git a/dev-python/pytest-xdist/pytest-xdist-1.31.0.ebuild b/dev-python/pytest-xdist/pytest-xdist-2.0.0.ebuild
index d0bf9be7e332..afd95da69925 100644
--- a/dev-python/pytest-xdist/pytest-xdist-1.31.0.ebuild
+++ b/dev-python/pytest-xdist/pytest-xdist-2.0.0.ebuild
@@ -4,7 +4,7 @@
EAPI=7
DISTUTILS_USE_SETUPTOOLS=rdepend
-PYTHON_COMPAT=( python2_7 python3_{5,6,7,8,9} )
+PYTHON_COMPAT=( python3_{5,6,7,8,9} pypy3 )
inherit distutils-r1
@@ -14,25 +14,24 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
SLOT="0"
LICENSE="MIT"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ppc ppc64 sparc x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86"
+# please do not depend on pytest to avoid unnecessary USEDEP enforcement
RDEPEND="
dev-python/execnet[${PYTHON_USEDEP}]
- >=dev-python/pytest-4.4[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
dev-python/pytest-forked[${PYTHON_USEDEP}]
- dev-python/six[${PYTHON_USEDEP}]
"
BDEPEND="
dev-python/setuptools_scm[${PYTHON_USEDEP}]
test? (
- ${RDEPEND}
dev-python/filelock[${PYTHON_USEDEP}]
)
"
+distutils_enable_tests pytest
+
python_test() {
distutils_install_for_testing
pytest -vv testing || die "Tests failed under ${EPYTHON}"
diff --git a/dev-python/python-nbxmpp/python-nbxmpp-1.0.1.ebuild b/dev-python/python-nbxmpp/python-nbxmpp-1.0.1.ebuild
index 368a67cd0b61..b583618bc5f9 100644
--- a/dev-python/python-nbxmpp/python-nbxmpp-1.0.1.ebuild
+++ b/dev-python/python-nbxmpp/python-nbxmpp-1.0.1.ebuild
@@ -13,5 +13,5 @@ SRC_URI="https://dev.gajim.org/gajim/python-nbxmpp/-/archive/nbxmpp-${PV}/python
SLOT="0"
LICENSE="GPL-3"
-KEYWORDS="~alpha ~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha ~amd64 arm ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
IUSE=""
diff --git a/dev-python/sphinx/Manifest b/dev-python/sphinx/Manifest
index d5b0088f3fa5..350c9d852410 100644
--- a/dev-python/sphinx/Manifest
+++ b/dev-python/sphinx/Manifest
@@ -4,3 +4,4 @@ DIST Sphinx-2.4.4.tar.gz 5966973 BLAKE2B 727a75eb4ec33beadf80b22cdd8dda02a53f4da
DIST Sphinx-3.0.4.tar.gz 5909229 BLAKE2B 892b435642be2a6334f93d9f230ec1aeeff8cf7b374570aae66eb341614d4318125920ef0c5593e7eee64e0b8781f035635af71aac34e9c2c6eb20a07ed68d48 SHA512 ec0c2487f098f774452b58d4fb67be7850b4a54b80f2b01dcee990298f59bfede3ca43b28fa992181cdceb07f261abce186862afd75c889c6682338049db6288
DIST Sphinx-3.1.2.tar.gz 5934433 BLAKE2B 4ed04dcff4db412ea1f749c0b90d0c38197bbc95607bcc719522f0690d6fd58aa59b87a053c036e9b3c982e9c0f6fa9b6b67f903cb7d9e6fea3a13d99b7be297 SHA512 d1b55a603ea4a76d2315e170b8ba7858caf1658660e9983034918bd265c505f0e5157ab9d9cebc970261646ae0959e1cf75562b01b73bf3a380e712393a735b9
DIST Sphinx-3.2.0.tar.gz 5970521 BLAKE2B d099e3e4fda68d52060f03196dc4d9ac3f960ed516c37a99e6f4f7efc9c81913e3e161dd70a16591d07200a0a4eb2a72536aeb63ccf3ce2dca9e1f1985931751 SHA512 7b4108acdd241240a91171ade30c800aa0ef0ccb00080eb80d205abc95c56f2accca179e4d95d7e34ed48137c0845b4175a285b8204d1e8de1a22c707e6d06b0
+DIST Sphinx-3.2.1.tar.gz 5970067 BLAKE2B 6158d31390c9b07aa3abcdc4eb7ed827cf2160192a2c53ad845f07d5027cc4bd65264ea1114e78e06f9652a8788a8d0e992a8988382787a05bf507a73618cd96 SHA512 3f0f49036a44938abd470c2f825a0eeeeb818daf3dfbb3bc5c746b64305b5fe66c1c34d9703eb9420b2b347247c122825ddae1b6c28c88c249206151f39e3bdb
diff --git a/dev-python/sphinx/sphinx-3.2.1.ebuild b/dev-python/sphinx/sphinx-3.2.1.ebuild
new file mode 100644
index 000000000000..ed0d88421631
--- /dev/null
+++ b/dev-python/sphinx/sphinx-3.2.1.ebuild
@@ -0,0 +1,133 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{5,6,7,8,9} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Python documentation generator"
+HOMEPAGE="https://www.sphinx-doc.org/
+ https://github.com/sphinx-doc/sphinx"
+SRC_URI="mirror://pypi/S/${PN^}/${P^}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris"
+IUSE="doc latex test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ <dev-python/alabaster-0.8[${PYTHON_USEDEP}]
+ dev-python/Babel[${PYTHON_USEDEP}]
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/imagesize[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/snowballstemmer[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-applehelp[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-devhelp[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-jsmath[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-htmlhelp[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-serializinghtml[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-qthelp[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/typed-ast[${PYTHON_USEDEP}]
+ ' python3_{6,7})
+ latex? (
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-luatex
+ app-text/dvipng
+ )"
+BDEPEND="
+ doc? (
+ dev-python/sphinxcontrib-websupport[${PYTHON_USEDEP}]
+ media-gfx/graphviz
+ )
+ test? (
+ ${RDEPEND}
+ dev-python/html5lib[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ virtual/imagemagick-tools[jpeg,png,svg]
+ dev-texlive/texlive-fontsextra
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-luatex
+ app-text/dvipng
+ )"
+
+S="${WORKDIR}/${P^}"
+
+python_prepare_all() {
+ # remove tests that fail due to network-sandbox
+ rm tests/test_build_linkcheck.py || die "Failed to remove web tests"
+ sed -i -e 's:test_latex_images:_&:' tests/test_build_latex.py || die
+
+ # fail under pypy3 (some because of missing typed-ast)
+ # revisit when pypy3 becomes pypy3.8
+ sed -i -e '/def test_partialfunction/i\
+@pytest.mark.skipif(hasattr(sys, "pypy_version_info"), reason="broken on pypy3")' \
+ -e '/def test_autodoc_typed_instance_variables/i\
+@pytest.mark.skipif(hasattr(sys, "pypy_version_info"), reason="broken on pypy3")' \
+ -e '/def test_autodoc_inherited_members_None/i\
+@pytest.mark.skipif(hasattr(sys, "pypy_version_info"), reason="broken on pypy3")' \
+ -e '/def test_cython/i\
+@pytest.mark.skipif(hasattr(sys, "pypy_version_info"), reason="broken on pypy3")' \
+ -e '/def test_automethod_for_builtin/i\
+@pytest.mark.skipif(hasattr(sys, "pypy_version_info"), reason="broken on pypy3")' \
+ tests/test_ext_autodoc.py || die
+ sed -i -e '/import pytest/aimport sys' \
+ -e '/def test_builtin_function/i\
+@pytest.mark.skipif(hasattr(sys, "pypy_version_info"), reason="broken on pypy3")' \
+ -e '/def test_methoddescriptor/i\
+@pytest.mark.skipif(hasattr(sys, "pypy_version_info"), reason="broken on pypy3")' \
+ -e '/def test_wrapped_function/i\
+@pytest.mark.skipif(hasattr(sys, "pypy_version_info"), reason="broken on pypy3")' \
+ tests/test_ext_autodoc_autofunction.py || die
+ sed -i -e '/import pytest/aimport sys' \
+ -e '/def test_autodoc_typehints_signature/i\
+@pytest.mark.skipif(hasattr(sys, "pypy_version_info"), reason="broken on pypy3")' \
+ tests/test_ext_autodoc_configs.py || die
+ sed -i -e '/import pytest/aimport sys' \
+ -e '/def test_autosummary_generate_content_for_module/i\
+@pytest.mark.skipif(hasattr(sys, "pypy_version_info"), reason="broken on pypy3")' \
+ tests/test_ext_autosummary.py || die
+ sed -i -e '/def test_annotated_assignment_py36/i\
+@pytest.mark.skipif(hasattr(sys, "pypy_version_info"), reason="broken on pypy3")' \
+ tests/test_pycode_parser.py || die
+
+ # disable internet access
+ sed -i -e 's:^intersphinx_mapping:disabled_&:' \
+ doc/conf.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile() {
+ distutils-r1_python_compile
+
+ # Generate the grammar. It will be caught by install somehow.
+ # Note that the tests usually do it for us. However, I don't want
+ # to trust USE=test really running all the tests, especially
+ # with FEATURES=test-fail-continue.
+ pushd "${BUILD_DIR}"/lib >/dev/null || die
+ "${EPYTHON}" -m sphinx.pycode.__init__ || die "Grammar generation failed."
+ popd >/dev/null || die
+}
+
+python_compile_all() {
+ if use doc; then
+ esetup.py build_sphinx
+ HTML_DOCS=( "${BUILD_DIR}"/sphinx/html/. )
+ fi
+}
+
+python_test() {
+ mkdir -p "${BUILD_DIR}/sphinx_tempdir" || die
+ local -x SPHINX_TEST_TEMPDIR="${BUILD_DIR}/sphinx_tempdir"
+ pytest -vv || die "Tests fail with ${EPYTHON}"
+}
diff --git a/dev-python/wheel/Manifest b/dev-python/wheel/Manifest
index e826ef94540f..42765e020571 100644
--- a/dev-python/wheel/Manifest
+++ b/dev-python/wheel/Manifest
@@ -1,2 +1,3 @@
DIST wheel-0.34.2.gh.tar.gz 57175 BLAKE2B 4d06c411561f80e51c15422f2d3318efa565f9119e869a2f9284adb9bd3aff7bc104013a63fefae36742d7d87c8468b42292723ed031c2b109323a9141fd1cea SHA512 fcd02cf770382c26b5250aa48f60481ac868ff7e1b08245ed4616aaa7d6dc5e3280d9ab787c4d1690b11550de9f6160c0d31dd65b79554711ab5d02de479e1ab
DIST wheel-0.35.0.gh.tar.gz 55911 BLAKE2B b9253c362bd016eca6e43bf4003f08dd88bf45c893edacb59ea1cb594410981b80be4acbc4e0127cee05c394377407bf23f1119a71010eecf0d1669ecd8ed861 SHA512 d6818fd825bf49dfd4e88fd252ce97c64df34eae72b482e932df2fd39562bae54a63f3e9b65b65d04b6e10d130edd462a769499d214d7beae053555618e2fc15
+DIST wheel-0.35.1.gh.tar.gz 63563 BLAKE2B d1432a638b91e821cb9b9fc748567b9ad18bbfd4737cee915ee3e2c585c4758e79bcf163edac56a09f9e356d81a057214c8e84c5c75b45505c67aa761e97fe3f SHA512 34cd6d1a649842abd895418c0183e68f44e228be905041e1dd8562987fbab8aa617da9b78479cb8d56fb6bb8714ec1085b87640c385bfc933e215f6e33ccf55b
diff --git a/dev-python/wheel/wheel-0.35.1.ebuild b/dev-python/wheel/wheel-0.35.1.ebuild
new file mode 100644
index 000000000000..787b8ab24278
--- /dev/null
+++ b/dev-python/wheel/wheel-0.35.1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python2_7 python3_{5,6,7,8,9} )
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="A built-package format for Python"
+HOMEPAGE="https://pypi.org/project/wheel/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+SRC_URI="https://github.com/pypa/wheel/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed \
+ -e 's:--cov=wheel::g' \
+ -i setup.cfg || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ if ! python_is_python3; then
+ # install fails due to unicode in paths
+ ewarn "Testing is broken with py2.7, please test externally"
+ return
+ fi
+
+ distutils_install_for_testing
+ pytest -vv || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/xmlschema/Manifest b/dev-python/xmlschema/Manifest
index 8ab6888025d1..8ba0830523b4 100644
--- a/dev-python/xmlschema/Manifest
+++ b/dev-python/xmlschema/Manifest
@@ -1 +1,2 @@
DIST xmlschema-1.2.2.tar.gz 318829 BLAKE2B 5ebb8749d56491e65a2c09b56e965ea6b3e9be3d453a01671fa0da065389ca4bf44993693517bed4ef9df22cb94b9398660a7a838405c1757ee1c6f40aedacd3 SHA512 51be4317530cd1055438a4bf8e484b70d8a9414da5507fd30ed506271317859e5255fc729ed9fa5df2230e2af049ff40e693c67a5062e61fda43a1329ef2138d
+DIST xmlschema-1.2.3.tar.gz 322076 BLAKE2B 2b6c587772a14b4b804a35614a2e1e77ade9be0ef25cabfc331efc3a443058fd51c178339f1d6df2cbda77d2a8d1c2ac2c33155406e7e7f36c10225ecb70a3e7 SHA512 15c47c7e93cb0bf14534dfc298848ba4ac332677583ee14eca0c5908fd935e1a3dc01b96f92e7df6eb45b215eae2b67d74ee2d4d227fb3e3360be944815532b7
diff --git a/dev-python/xmlschema/xmlschema-1.2.3.ebuild b/dev-python/xmlschema/xmlschema-1.2.3.ebuild
new file mode 100644
index 000000000000..02fc5af270bc
--- /dev/null
+++ b/dev-python/xmlschema/xmlschema-1.2.3.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2019-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{5,6,7,8,9} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="An XML Schema validator and decoder"
+HOMEPAGE="https://github.com/sissaschool/xmlschema https://pypi.org/project/xmlschema/"
+SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ =dev-python/elementpath-2.0.0*[${PYTHON_USEDEP}]"
+BDEPEND="${RDEPEND}
+ test? (
+ dev-python/lxml[${PYTHON_USEDEP}]
+ )"
+
+python_test() {
+ "${EPYTHON}" tests/test_all.py -v ||
+ die "Tests fail with ${EPYTHON}"
+}